package com.cico.nest.lcdp.boot.core.qxsd.domain.tunnel;

/**
 * 设施隧道类型
 * 隧道类型 0双洞双向1单洞双向2单洞单向
 * @author rfx
 * @date 2024/11/12
 */
public enum TunnelTypeEnums {

    two_two(0, "双洞双向"),
    one_two(1, "单洞双向"),
    one_one(2, "单洞单向");

    public final int type;

    public final String desc;

    TunnelTypeEnums(Integer type, String desc){
        this.desc = desc;
        this.type = type;
    }

    public static String getDesc(int type){
        String desc = null;
        for (TunnelTypeEnums t: TunnelTypeEnums.values()){
            if (type==t.type){
                desc = t.desc;
            }
        }
        return desc;
    }
}
